Subject: Re: [Extra] Genart telechat review of draft-ietf-extra-imap-objectid-06

From: Bron Gondwana <[email-masked]>
Date: Sat, 28 Jul 2018 12:44:04 +1000

On Sat, Jul 28, 2018, at 03:57, Pete Resnick wrote:
> Not clear to me why the THREADID and EMAILID can't be the same. I
> assume given> the MUST it's going to be some sort of interoperability problem,
> but it does> seem odd. But don't change it on my account.

Since if they are allowed to be the same, they're likely to be the same
in most cases of single emails, having them be the same will encourage
cargo-cult developers to assume that they're always the same.
We even added an XOR against some constant value to our server so that
the EMAILID and THREADID look completely different to clients - despite
the fact that we generate the THREADID from the first EMAILID, because
our own devs were tempted to get lazy and guess the THREADID.
Bron.

--
  Bron Gondwana, CEO, FastMail Pty Ltd
  [email-masked]